让aMule支持DLP——aMule的DLP支持源码补丁

2009年10月18日 07:37 次阅读 稿源: 条评论
感谢DLP欢送吸血驴的投递
新闻来源:原创
Linux下一直没有能支持DLP的电驴客户端,为了避免被吸血,一直以来只好使用wine来运行Windows下支持DLP的电驴客户端,或者是忍受被吸血的痛苦。
现在广大Linux用户可以不在为被吸血而头疼了,aMule的DLP源码补丁可以让aMule支持反吸血。不过稍显麻烦的是,aMule没有提供接口,所以DLP是直接编译到aMule里面去的,也就是说想要让aMule用上DLP的话,还得重新编译aMule。
目前aMule的源码补丁使用的是官方的DLP39版本,虽然似乎fzh的DLP在国内来说效果更好,但是没有源码,暂时就没法使用了,只能先用着官方的39版本。可以放心的是,从源码上来看,官方的39版本也能屏蔽很多国内的吸血客户端。

应用aMule的DLP源码补丁和编译安装步骤
首先下载aMule 2.2.6版本的源码,以及DLP补丁的源码,并解压缩;
进入aMule的源码目录并应用DLP源码补丁
cd aMule-2.2.6
patch -p0 < ../aMule-2.2.6-DLP39.patch
编译并安装
./configure --prefix=/usr --disable-debug --enable-optimize --enable-upnp --enable-geoip --enable-nls --enable-amulecmd --enable-alcc -enable-alc --enable-cas --enable-wxcas --enable-mmap
make
make install

aMule-2.2.6 DLP支持源码补丁:http://libantixunlei.googlecode.com/files/aMule-2.2.6-DLP39.patch
已经打上DLP支持补丁的aMule源码:http://libantixunlei.googlecode.com/files/aMule-2.2.6-DLP39.tar.bz2

对文章打分

让aMule支持DLP——aMule的DLP支持源码补丁

1 (14%)
已有 条意见

    最新资讯

    加载中...

    今日最热

    加载中...

    热门评论

      Top 10

      招聘


      Advertisment ad adsense googles cpro.baidu.com
      created by ceallan